/***************************************************************************
 *   Copyright (C) 2007 by Martin Apel,,,                                  *
 *   kermit@frog                                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef IMPOSERGUI_H
#define IMPOSERGUI_H

/**
	@author Martin Apel,,, <kermit@frog>
*/

#include <QDialog>
#include <QtGui>

#include "imposer.h"

class ImposerGUI : public QDialog
{
  Q_OBJECT

private slots:
  void add();
  void del();
  void save();
  void quit();
  void show_image();
  void sliderChanged(int value);
  void selectionChanged();

private:
  QListWidget* pcListe;
  Imposer cImpose;
  QLabel cLabel;
protected:

public:
  ImposerGUI();
  ~ImposerGUI();
};

#endif
